Bug 92254 - When the focus is in Notes pane, the highlight on current slide vanishes from the Slides pane.
Summary: When the focus is in Notes pane, the highlight on current slide vanishes from...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: preBibisect, regression
: 121847 125760 152620 (view as bug list)
Depends on:
Blocks: Slide-Page-Pane
  Show dependency treegraph
 
Reported: 2015-06-22 12:15 UTC by narayanaras
Modified: 2022-12-20 16:31 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Shows how the focus is lost from the current slide in the "Slides" pane (176.13 KB, application/pdf)
2015-06-22 12:15 UTC, narayanaras
Details

Note You need to log in before you can comment on or make changes to this bug.
Description narayanaras 2015-06-22 12:15:42 UTC
Created attachment 116731 [details]
Shows how the focus is lost from the current slide in the "Slides" pane

In the "Notes" view, the current slide is highlighted in the "Slides" pane.

But once I click inside the "Notes" pane, this highlight vanishes. Thus I lose sight of where I am in the presentation. Even if I switch to the "Slides" pane, the highlight is not restored.

There is a workaround, though: While editing in the "Notes" pane, I have to press PgUp or PgDown. Now the "slides" pane starts showing the highlight again. 

But at this stage, the focus is neither in the "Slides" pane nor in the "Notes" pane! 

   * If the focus is in "Slides" pane, I should be able to switch between slides by pressing the Up/Down arrows, not by pressing PgUp and PgDown!

   * If the focus is in the "Notes" pane, I should be able to move around the pane and also edit the text.

But I am not able to do either of the above!

I have to explicitly go to the "Slides" pane or the "Notes" pane by clicking there. Till that time, I am in neither of the panes.

Desired: 
1. Even when I am working in the "Notes" pane, the current slide should be marked with a dotted line, to signify that this is the current slide, but my focus is in a different pane.

2.If I am in the "Notes" pane of a slide, and if I press PgUp or PgDown, Impress should take me directly to the notes section of the previous/next slide.
That way, I can remain in the "Notes" mode, and edit the notes for all slides in one go.
Comment 1 Buovjaga 2015-06-26 12:33:27 UTC
Reproduced.
My first try didn't lose the highlight, but all my other tries did, so watch out, reproducers.

Win 7 Pro 64-bit, Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Locale: fi_FI

Version: 5.1.0.0.alpha1+ (x64)
Build ID: a51ac4d2bb8c4f1ea1d4ea7569863e2fb6535b02
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2015-06-22_21:37:53
Locale: fi-FI (fi_FI)

Versio: 5.0.0.1 (x64)
Käännöksen ID: 9a0b23dd0ab9652e0965484934309f2d49a7758e
Maa-asetus: fi-FI (fi_FI)
Comment 2 QA Administrators 2016-09-20 10:12:08 UTC Comment hidden (obsolete)
Comment 3 Roman Kuznetsov 2019-03-29 15:55:53 UTC
still repro in

Version: 6.3.0.0.alpha0+
Build ID: 4aa8a6ab08b755e3d82860e8dbc294f854336477
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-03-14_17:51:01
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded
Comment 4 QA Administrators 2021-03-29 03:39:09 UTC Comment hidden (obsolete)
Comment 5 RichardNeill 2021-09-07 14:43:47 UTC
I confirm this is still present in the current (7.1.5) version
It's been fixed quite recently in the main editor "Normal" mode, but not the "Notes" mode.

1. Go into the Notes view, with the Slides pane visible.

2. Select a slide, from the left, and then click into the slide and start typing.

3. In the left, you can no longer see which slide you're working on. 

i.e the UI has correctly given mouse-focus to the notes field, but has incorrectly stopped highlighting the background of the active slide.
Comment 6 Mike Kaganski 2021-09-28 10:46:24 UTC
Also repro with Version: 7.2.1.2 / LibreOffice Community
Build ID: 20(Build:2)
CPU threads: 4; OS: Linux 5.11; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Ubuntu package version: 1:7.2.1~rc2-0ubuntu0.20.04.1~lo3
Calc: threaded

and also using LibreOffice 3.4.0
OOO340m1 (Build:11)

but not using LibreOffice 3.3.0
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 7 Mike Kaganski 2021-09-28 11:04:47 UTC
(In reply to RichardNeill from comment #5)
> It's been fixed quite recently in the main editor "Normal" mode, but not the
> "Notes" mode.

This looked promising, since knowing what have fixed a similar case could radically simplify fixing this one. So I tested 5.0.0.5, 6.0.0.3, and 7.0.0.3 on Windows to see if standard mode suffered a similar problem in those. But in all those I couldn't see that problem in normal mode.

If you know a specific version that suffered from the similar problem in another mode, but had fixed in 7.1, please mention the version here. Thanks!
Comment 8 Heiko Tietze 2022-09-28 10:27:00 UTC
Confirming with 

Version: 7.4.1.2 / LibreOffice Community
Build ID: 3c58a8f3a960df8bc8fd77b461821e42c061c5f0
CPU threads: 8; OS: Mac OS X 12.6; UI render: default; VCL: osx
Locale: de-DE (en_DE.UTF-8); UI: en-US
Calc: threaded
Comment 9 Heiko Tietze 2022-09-28 10:29:33 UTC
*** Bug 121847 has been marked as a duplicate of this bug. ***
Comment 10 Heiko Tietze 2022-09-28 10:34:48 UTC
(In reply to Heiko Tietze from comment #8)
> Confirming with 

After switching to the Notes view the currently active slide remains in focus. But after another slide is selected the highlighting disappears after clicking somewhere.
Comment 11 Mike Kaganski 2022-12-20 16:22:56 UTC
*** Bug 152620 has been marked as a duplicate of this bug. ***
Comment 12 Mike Kaganski 2022-12-20 16:31:26 UTC
*** Bug 125760 has been marked as a duplicate of this bug. ***